<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" version="1.0" encoding="iso-8859-1" indent="yes" omit-xml-declaration="yes"/>

<!-- Default template -->
<xsl:template match="*" priority="0">
  <xsl:copy>
   <xsl:copy-of select="@*"/>
   <xsl:apply-templates/>
  </xsl:copy>
</xsl:template>

<xsl:template match="parameters" priority="1">
 <xsl:copy>
  <xsl:copy-of select="@*"/>
  <xsl:apply-templates/>
  <xsl:if test="(string(./type) = 'MyProxy') or (string(./type) = 'myproxy')">
   <xsl:element name="param"><xsl:attribute name="name">FtsMode</xsl:attribute>retriever</xsl:element>
  </xsl:if>
 </xsl:copy>
</xsl:template>

<!-- Root template -->
<xsl:template match="/service">
 <xsl:copy>
  <xsl:copy-of select="@*"/>
  <xsl:apply-templates/>
 </xsl:copy>
</xsl:template>

</xsl:stylesheet>

